﻿namespace Modality_Worklist_SCP_Core
{

    public partial class ExamsScheduled
    {

        private string _AccessionNumber;

        private string _PatientID;

        private string _Surname;

        private string _Forename;

        private string _Title;

        private string _Sex;

        private System.Nullable<System.DateTime> _DateOfBirth;

        private string _ReferringPhysician;

        private string _PerformingPhysician;

        private string _Modality;

        private System.Nullable<System.DateTime> _ExamDateAndTime;

        private string _ExamRoom;

        private string _ExamDescription;

        private string _StudyUID;

        private string _ProcedureID;

        private string _ProcedureStepID;

        private string _HospitalName;

        private string _ScheduledAET;

        public ExamsScheduled()
        {
        }

        public string AccessionNumber
        {
            get { return this._AccessionNumber; }
            set
            {
                if ((this._AccessionNumber != value))
                {
                    this._AccessionNumber = value;
                }
            }
        }

        public string PatientID
        {
            get { return this._PatientID; }
            set
            {
                if ((this._PatientID != value))
                {
                    this._PatientID = value;
                }
            }
        }

        public string Surname
        {
            get { return this._Surname; }
            set
            {
                if ((this._Surname != value))
                {
                    this._Surname = value;
                }
            }
        }

        public string Forename
        {
            get { return this._Forename; }
            set
            {
                if ((this._Forename != value))
                {
                    this._Forename = value;
                }
            }
        }

        public string Title
        {
            get { return this._Title; }
            set
            {
                if ((this._Title != value))
                {
                    this._Title = value;
                }
            }
        }

        public string Sex
        {
            get { return this._Sex; }
            set
            {
                if ((this._Sex != value))
                {
                    this._Sex = value;
                }
            }
        }

        public System.Nullable<System.DateTime> DateOfBirth
        {
            get { return this._DateOfBirth; }
            set
            {
                if ((this._DateOfBirth != value))
                {
                    this._DateOfBirth = value;
                }
            }
        }

        public string ReferringPhysician
        {
            get { return this._ReferringPhysician; }
            set
            {
                if ((this._ReferringPhysician != value))
                {
                    this._ReferringPhysician = value;
                }
            }
        }

        public string PerformingPhysician
        {
            get { return this._PerformingPhysician; }
            set
            {
                if ((this._PerformingPhysician != value))
                {
                    this._PerformingPhysician = value;
                }
            }
        }

        public string Modality
        {
            get { return this._Modality; }
            set
            {
                if ((this._Modality != value))
                {
                    this._Modality = value;
                }
            }
        }

        public System.Nullable<System.DateTime> ExamDateAndTime
        {
            get { return this._ExamDateAndTime; }
            set
            {
                if ((this._ExamDateAndTime != value))
                {
                    this._ExamDateAndTime = value;
                }
            }
        }

        public string ExamRoom
        {
            get { return this._ExamRoom; }
            set
            {
                if ((this._ExamRoom != value))
                {
                    this._ExamRoom = value;
                }
            }
        }

        public string ExamDescription
        {
            get { return this._ExamDescription; }
            set
            {
                if ((this._ExamDescription != value))
                {
                    this._ExamDescription = value;
                }
            }
        }

        public string StudyUID
        {
            get { return this._StudyUID; }
            set
            {
                if ((this._StudyUID != value))
                {
                    this._StudyUID = value;
                }
            }
        }

        public string ProcedureID
        {
            get { return this._ProcedureID; }
            set
            {
                if ((this._ProcedureID != value))
                {
                    this._ProcedureID = value;
                }
            }
        }

        public string ProcedureStepID
        {
            get { return this._ProcedureStepID; }
            set
            {
                if ((this._ProcedureStepID != value))
                {
                    this._ProcedureStepID = value;
                }
            }
        }
        public string HospitalName
        {
            get { return this._HospitalName; }
            set
            {
                if ((this._HospitalName != value))
                {
                    this._HospitalName = value;
                }
            }
        }

        public string ScheduledAET
        {
            get { return this._ScheduledAET; }
            set
            {
                if ((this._ScheduledAET != value))
                {
                    this._ScheduledAET = value;
                }
            }
        }
    }

}